Assess Sealed Packs
Identify a sealed trading-card product (a pack, box, case, tin or other sealed product) from one photo: its release, name, configuration, packaging family, pack count and a confidence. Card identity access covers this endpoint.
Identify a sealed trading-card product (a pack, box, case, tin or other sealed product) from one photo: its release, name, configuration, packaging family, pack count and a confidence. Card identity access covers this endpoint.
Request Body
application/json
Request body for POST /packs/assessments.
images*array<object>One photo of the sealed product (a pack, box, case, tin...): a URL image, a base64 image, or the server-issued image_ref returned by POST /images.
Show child attributes3 shapes
Each item can be one of these shapes.
Image provided as base64 data.
images[].filename*stringFilename for the uploaded image data.
images[].data*stringBase64-encoded image bytes.
Image provided by URL.
images[].url*stringReachable image URL.
images[].filename?string | nullOptional filename to use when downloading this image.
Pre-uploaded assessment image referenced by its server-issued handle.
images[].image_ref*stringServer-issued reference returned by POST /images.
external_id?stringinclude?array<enum>Result sections to request. When omitted, the assessment returns the sections enabled for your organization. Listing a section that is not enabled for your organization is refused with a 403.
"identity"Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/packs/assessments" \ -H "Content-Type: application/json" \ -d '{ "images": [ { "filename": "string", "data": "string" } ] }'{ "assessment_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "external_id": "pack-123", "status": "completed", "created_at": "2026-06-09T19:12:42.548Z", "completed_at": "2026-06-09T19:13:12.548Z", "assessment": { "items": [ { "identity": { "release": "1982 Topps Football", "name": "1982 Topps Football Wax Pack", "year": "1982", "sport_or_game": "Football", "manufacturer": "Topps", "brand": "topps", "family": "pack", "configuration": "wax_pack", "container": "unit", "pack_count": "1", "confidence": 0.7084 } } ] }, "issues": [], "model_version": "packs-3f9a1c2"}